Package org.apache.calcite.avatica.util

## Class AbstractCursor.StructAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.StructAccessor

All Implemented Interfaces:
  `Cursor.Accessor`

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.StructAccessor
    extends AbstractCursor.AccessorImpl

Accessor that assumes that the underlying value is a STRUCT; corresponds to `Types.STRUCT`.

### Field Summary

Fields
`private java.util.List<Cursor.Accessor>` `fieldAccessors`

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`private` `StructAccessor​(AbstractCursor.Getter getter, java.util.List<Cursor.Accessor> fieldAccessors)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObject()`
`<T> T` `getObject​(java.lang.Class<T> clz)`
`java.sql.Struct` `getStruct()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getRef, getShort, getSQLXML, getString, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fieldAccessors

    private final java.util.List<Cursor.Accessor> fieldAccessors

### Constructor Detail

#### StructAccessor

    private StructAccessor​(AbstractCursor.Getter getter,
                           java.util.List<Cursor.Accessor> fieldAccessors)

### Method Detail

#### getObject

    public java.lang.Object getObject()
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Overrides:
  `getObject` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject​(java.lang.Class<T> clz)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Overrides:
  `getObject` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getStruct

    public java.sql.Struct getStruct()
                              throws java.sql.SQLException

Specified by:
  `getStruct` in interface `Cursor.Accessor`
Overrides:
  `getStruct` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`